Nimbu Developer Docs
ReferenceChannel Entries

Count entries

GET
/channels/{channel_id}/entries/count

Counts channel entries. Non-master tokens are ACL-filtered. Master tokens bypass ACL unless use_acl=true.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

channel_id*string

Channel identifier

Query Parameters

use_acl?boolean

When true, applies customer ACL filtering to master-token requests.

Header Parameters

Session-Token?string

Customer session token used for channel and entry ACL filtering. X-Nimbu-Session-Token is also accepted.

Response Body

application/json

curl -X GET "https://example.com/channels/string/entries/count"
{
  "count": 0
}